はじめての自宅サーバ構築 - Fedora/CentOS -
Last Update 2018/05/30
[ 更新履歴 ] [ サイト マップ ] [ 質問掲示板 ] [ 雑談掲示板 ] [ リンク ]
トップ >> 質問掲示板

 PerlのPackage, GD, GD::SecurityImage, Digest::MD5, Date::Calc
日時: 2014/10/14 00:11
名前: 赤ペンギン
参照: http://penguin-colony.net/

1.不明点・障害内容:PerlのPackage, GD, GD::SecurityImage, Digest::MD5, Date::Calc, Jcode インストール
2.ログの有無   :有り
  (有:その内容) :

[root@localhost ~]# yum install perl-CPAN
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * base: ftp.tsukuba.wide.ad.jp
 * epel: ftp.tsukuba.wide.ad.jp
 * extras: ftp.tsukuba.wide.ad.jp
 * ius: ftp.neowiz.com
 * rpmforge: ftp.kddilabs.jp
 * updates: ftp.tsukuba.wide.ad.jp
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package perl-CPAN.x86_64 0:1.9402-136.el6 will be installed
--> Processing Dependency: perl(ExtUtils::MakeMaker) for package: perl-CPAN-1.9402-136.el6.x86_64
--> Processing Dependency: perl(Digest::SHA) for package: perl-CPAN-1.9402-136.el6.x86_64
--> Running transaction check
---> Package perl-Digest-SHA.x86_64 1:5.47-136.el6 will be installed
---> Package perl-ExtUtils-MakeMaker.x86_64 0:6.55-136.el6 will be installed
--> Processing Dependency: perl-devel for package: perl-ExtUtils-MakeMaker-6.55-136.el6.x86_64
--> Processing Dependency: perl(Test::Harness) for package: perl-ExtUtils-MakeMaker-6.55-136.el6.x86_64
(中略)
Error: Package: rpm-4.8.0-37.el6.x86_64 (@anaconda-CentOS-201311272149.x86_64/6.5)
           Requires: libdb-4.7.so()(64bit)
           Removing: db4-4.7.25-18.el6_4.x86_64 (@anaconda-CentOS-201311272149.x86_64/6.5)
               libdb-4.7.so()(64bit)
           Obsoleted By: libdb4-4.8.30-13.el7.x86_64 (epel)
               Not found

 (中略)

 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@localhost ~]# cpan
bash: cpan: コマンドが見つかりません
[root@localhost ~]# 




3.Distribution  :CentOS
      Version :6.5
4.Service Name  :perl
      Version :v5.10.1 (*) built for x86_64-linux-thread-multi
5.ネットワーク構成:PPPoE


下記URLの情報を確認して試してみたところ
http://kajuhome.com/patio_thread/926.shtml 
cpanが動かず、インストールも
うまくいっていないようなのです、解決策の見当がつかないので、
なにか教えていただけないでしょうか。
メンテ

Page:  [1] [2]

■ コンテンツ関連情報

 Re:  ( No.1 )

** 返信者によって削除されました **

 Re: PerlのPackage, GD, GD::SecurityImage, Digest::MD5, Date::Calc ( No.2 )
日時: 2014/10/14 01:27
名前: stranger
参照: http://ja.528p.com/

epel.repoが間違ってないか?

[epel]
name=Extra Packages for Enterprise Linux 6 - $basearch
#baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-6&arch=$basearch
failovermethod=priority
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6

CPANでrpmを作成すると失敗する場合がある
ほとんどのパッケージは
epelやrpmforgeにあるのでそれを入れた方が無難
メンテ
 Re:  ( No.3 )
日時: 2014/10/14 01:42
名前: 赤ペンギン
参照: http://penguin-colony.net/

strangerさん、ありがとうございます。

epel.repoが間違っているというのは、どういう意味でしょうか?
超初心者にもわかるように、もうすこし難易度を下げて教えていただけると助かります。

宜しくお願いします。
メンテ
 Re: ( No.4 )
日時: 2014/10/14 03:48
名前: 赤ペンギン
参照: http://penguin-colony.net/

[epel]
name=Extra Packages for Enterprise Linux 7 - $basearch
#baseurl=http://download.fedoraproject.org/pub/epel/7/$basearch
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=$basearch
failovermethod=priority
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7



こんな感じでした。
メンテ
 Re:  ( No.5 )
日時: 2014/10/14 04:05
名前: 赤ペンギン
参照: http://penguin-colony.net/

いただいたコードに書き換えたらいけました。
ありがとうございました。
メンテ

Page:  [1] [2]

題名
名前  ("初心者"を含む名前は使用できません)
E-Mail
URL
パスワード 記事メンテ時に使用)
投稿キー (投稿時 投稿キー を入力してください)
コメント
画像添付 (対応画像:JPEG/GIF/PNG [Max 500KB])

   クッキー保存

■ その他


Copyright(©)2004-2018 First home server construction. All Right Reserved.